Comment 26 for bug 121653

Ubuntu may want to consider this a show stopper for releasing gutsy, or at least flag all over the place this problem. Reason I say that is if 5% of all of your potential upgraders are laptops running ati graphics (just shooting in the dark re percentage, but if anything I assume the actual number is higher than 5%) then 5% of all Ubuntu users will feel badly burned by the upgrade to gutsy. A broken suspend, when suspend worked fine in Edgy, is a critical bug.

BTW, I'm running ati's latest stable release of fglrx and this suspend problem shows up in it as well. I switched to ati's fglrx from ubuntu's in the hope that the ati/glx slowdown would be fixed (wasn't, had to disable glx server).